##### basic_seq_packet_socket::basic_seq_packet_socket (4 of 10 overloads)

Construct and open a `basic_seq_packet_socket`.

    template<
        typename ExecutionContext>
    basic_seq_packet_socket(
        ExecutionContext & context,
        const protocol_type & protocol,
        typename enable_if< is_convertible< ExecutionContext &, execution_context & >::value >::type *  = 0);

This constructor creates and opens a sequenced_packet socket. The socket needs to be connected or accepted before data can be sent or received on it.

###### Parameters

context

  An execution context which provides the I/O executor that the socket will use, by default, to dispatch handlers for any asynchronous operations performed on the socket.

protocol

  An object specifying protocol parameters to be used.

###### Exceptions

asio::system_error

  Thrown on failure.